<template>
	<wd-cell-group title="申请信息">
		
		<!-- <wd-cell title="制度名称" :value="info.zdmc" /> -->
		<wd-cell title="制度名称" :value="info.sszd">
			<view style="color: blue;"
				@click="onlinePreview(`/pages/onlinePreview/detail?data=${info.sszd}`)">
				{{info.zdmc}}
			</view>
		</wd-cell>
		<wd-cell title="制度类型" :value="info.ssywlx_dictText" />
		<wd-cell title="制定部门" :value="info.sbbm_dictText" />
		<wd-cell title="发文字号" :value="info.wh" />
		<wd-cell title="发文时间" :value="info.fatime" />
		
	</wd-cell-group>
</template>

<script setup>
	import {
		queryByIdApi
	} from '@/api/SuperiorSystem/bpmApi'
	
	const info = ref({})
	const image = ref([])
	const gzxxvalue = ref('')//故障现象
	const wxnrvalue = ref('')//维修内容
	const props = defineProps({
		formData: {
			type: Object,
			default: () => {},
		}
	})
	
	const onlinePreview = (url) => {
		uni.navigateTo({
			url
		})
	}

	// 申请信息
	const QueryById = () => {
		queryByIdApi(props.formData.dataId).then((res) => {			
			console.log("res----------------",res)
			if (res.success) {
				info.value = res.result.records[0]
				// gzxxvalue= res.result.gzxx
				// wxnrvalue= res.result.wxnr
			}
		})
	}

	onMounted(() => {
		QueryById()
	})
</script>
